#### D.8.1.6 ZZsolve

Procedure from library `ffsolve.lib` (see ffsolve_lib).

Usage:
  ZZsolve(I); I ideal
  solve I (system of multivariate equations) over a
  finite field by mapping the polynomials to a single
  univariate polynomial over extension of the basering

Return:
  list, the common roots of I as ideal

Assume:
  basering is a finite field of type (p^n,a)

Example:

    LIB "ffsolve.lib";
    ring R = (2,a),x(1..3),lp;
    minpoly=a2+a+1;
    ideal I;
    I[1]=x(1)^2*x(2)+(a)*x(1)*x(2)^2+(a+1);
    I[2]=x(1)^2*x(2)*x(3)^2+(a)*x(1);
    I[3]=(a+1)*x(1)*x(3)+(a+1)*x(1);
    ZZsolve(I);
    ==> [1]:
    ==>    _[1]=x(3)+1
    ==>    _[2]=x(2)+(a)
    ==>    _[3]=x(1)+1
    ==> [2]:
    ==>    _[1]=x(3)+1
    ==>    _[2]=x(2)+(a+1)
    ==>    _[3]=x(1)+(a+1)

User manual for Singular version 4.4.1, 2025, generated by texi2html.